## EProxySelector

EProxySelector — Select and manage proxy profiles

## Functions

GtkWidget * | e_proxy_selector_new ()
void | e_proxy_selector_refresh ()
ESourceRegistry * | e_proxy_selector_get_registry ()
ESource * | e_proxy_selector_ref_selected ()
gboolean | e_proxy_selector_set_selected ()

## Properties

ESourceRegistry * | registry | Read / Write / Construct Only
ESource * | selected | Read / Write

## Types and Values

struct | EProxySelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ETreeViewFrame
                            ╰── EProxySelector

## Implemented Interfaces

EProxySelector implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Includes

    #include <e-util/e-util.h>

## Description

EProxySelector displays a list of available proxy profiles, with inline toolbar controls for adding and removing profiles.

## Functions

### e_proxy_selector_new ()

    GtkWidget *
    e_proxy_selector_new (ESourceRegistry *registry);

Creates a new EProxySelector widget using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EProxySelector

### e_proxy_selector_refresh ()

    void
    e_proxy_selector_refresh (EProxySelector *selector);

Rebuilds the `selector` 's list store with an updated list of ESource instances that describe a network proxy profile, without disrupting the previously selected item (if possible).

This funtion is called automatically in response to ESourceRegistry signals which are pertinent to the `selector` .

#### Parameters

selector | an EProxySelector |

### e_proxy_selector_get_registry ()

    ESourceRegistry *
    e_proxy_selector_get_registry (EProxySelector *selector);

Returns the ESourceRegistry passed to `e_proxy_selector_get_registry()`.

#### Parameters

selector | an EProxySelector |

#### Returns

an ESourceRegistry

### e_proxy_selector_ref_selected ()

    ESource *
    e_proxy_selector_ref_selected (EProxySelector *selector);

Returns the selected ESource in `selector` .

The function tries to ensure a valid ESource is always returned, falling back to `e_source_registry_ref_builtin_proxy()` if necessary.

The returned ESource is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

selector | an EProxySelector |

#### Returns

an ESource

### e_proxy_selector_set_selected ()

    gboolean
    e_proxy_selector_set_selected (EProxySelector *selector,
                                   ESource *source);

Finds the corresponding tree model row for `source` , selects the row, and returns `TRUE`. If no corresponding tree model row for `source` is found, the selection remains unchanged and the function returns `FALSE`.

#### Parameters

selector | an EProxySelector |
source | an ESource, or `NULL` for the built-in proxy profile |

#### Returns

whether `source` was selected

## Types and Values

### struct EProxySelector

    struct EProxySelector;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“registry”` property

      “registry”                 ESourceRegistry *

Data source registry.

Flags: Read / Write / Construct Only

### The `“selected”` property

      “selected”                 ESource *

The selected data source.

Flags: Read / Write